{% filter indent(width=4, first=False) %}
{% include "./_mem_offset.jinja" %}
N2D2_Export::fccellPropagate<{{ in_name[0] | upper }}_NB_CHANNELS,
                             {{ in_name[0] | upper }}_IN_HEIGHT,
                             {{ in_name[0] | upper }}_IN_WIDTH,
                             {{ out_name[0] | upper }}_NB_OUTPUTS,
                             {{ out_name[0] | upper }}_OUT_HEIGHT,
                             {{ out_name[0] | upper }}_OUT_WIDTH,
                             {{name|upper}}_ACTIVATION,
                             {{ in_name[0] | upper }}_CONT_OFFSET,
                             {{ in_name[0] | upper }}_CONT_SIZE,
                             {{ in_name[0] | upper }}_WRAP_OFFSET,
                             {{ in_name[0] | upper }}_WRAP_SIZE,
                             {{ in_name[0] | upper }}_STRIDE,
                             {{ out_name[0] | upper }}_CONT_OFFSET,
                             {{ out_name[0] | upper }}_CONT_SIZE,
                             {{ out_name[0] | upper }}_WRAP_OFFSET,
                             {{ out_name[0] | upper }}_WRAP_SIZE,
                             {{ out_name[0] | upper }}_STRIDE>
                             ({{ in_name[0] }}, {{ out_name[0] }}, {{ in_name[2] }}, {{ in_name[1] }}, {{ name | upper }}_SCALING);
{% endfilter %}
